export const jsonButtons = [
    {
        'id': 'translate-button',
        'name': '翻译',
        'messages': [
            {
                'role': 'system',
                'content': 'You are a professional, authentic machine translation engine.'
            },
            {
                'role': 'user',
                'content': 'Translate the following source text in tripple quotes to Simplified Chinese, output translation directly without any additional text.\n Source Text: """{selectedText}"""'
            }
        ],
        'icon': '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20" color="#000000" fill="none"><path d="M5 5.82759H7.7M11 5.82759H9.5M7.7 5.82759H9.5M7.7 5.82759V5M9.5 5.82759C9.18351 6.95937 8.52075 8.02923 7.76429 8.96946M5.83571 11C6.44723 10.4377 7.13788 9.74802 7.76429 8.96946M7.76429 8.96946C7.37857 8.51724 6.83857 7.78558 6.68429 7.45455M7.76429 8.96946L8.92143 10.1724" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /><path d="M13.5 19L14.3333 17M18.5 19L17.6667 17M14.3333 17L16 13L17.6667 17M14.3333 17H17.6667" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /><path d="M14 10V8C14 5.17157 14 3.75736 13.1213 2.87868C12.2426 2 10.8284 2 8 2C5.17157 2 3.75736 2 2.87868 2.87868C2 3.75736 2 5.17157 2 8C2 10.8284 2 12.2426 2.87868 13.1213C3.75736 14 5.17157 14 8 14H10" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M10 16C10 13.1716 10 11.7574 10.8787 10.8787C11.7574 10 13.1716 10 16 10C18.8284 10 20.2426 10 21.1213 10.8787C22 11.7574 22 13.1716 22 16C22 18.8284 22 20.2426 21.1213 21.1213C20.2426 22 18.8284 22 16 22C13.1716 22 11.7574 22 10.8787 21.1213C10 20.2426 10 18.8284 10 16Z" stroke="currentColor" stroke-width="1.5" /><path d="M4 16.5C4 17.9045 4 18.6067 4.33706 19.1111C4.48298 19.3295 4.67048 19.517 4.88886 19.6629C5.39331 20 6.09554 20 7.5 20" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /><path d="M20 7.5C20 6.09554 20 5.39331 19.6629 4.88886C19.517 4.67048 19.3295 4.48298 19.1111 4.33706C18.6067 4 17.9045 4 16.5 4" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /></svg>'
    },
    {
        'id': 'explain-button',
        'name': '解释',
        'messages': [
            {
                'role': 'system',
                'content': '- Role: 领域知识解释专家\n- Background: 用户需要对特定文本中的概念、术语或事件进行深入理解，希望得到清晰、准确的解释。\n- Profile: 你是一位多领域知识专家，对各个学科和专业领域有着深刻的理解和丰富的知识储备。\n- Skills: 你拥有跨学科的知识整合能力，能够将复杂的专业概念以简洁明了的方式呈现给用户。\n- Goals: 提供准确、全面、易于理解的领域知识解释，帮助用户深入理解并记忆这些知识。\n- Constrains: 解释应保持客观、准确，避免主观臆断或误导，同时要易于理解，适合不同背景的用户。\n- OutputFormat: 文本解释，可能包含定义、原理、应用、案例分析等要素。\n- Workflow:\n  1. 接收用户给出的需要解释的文本。\n  2. 根据文本内容，确定相关的领域知识。\n  3. 收集相关的背景信息和关键数据。\n  4. 以逻辑清晰的方式组织信息，形成连贯的解释文本。\n  5. 校对和润色文本，确保语言准确、易懂。\n- Examples:\n  - 例子1：历史事件“赤壁之战”\n    - 定义：中国历史上著名的以少胜多的战役之一。\n    - 原理：利用火攻战术，孙刘联军成功击败了曹操的大军。\n    - 应用：此战役对三国鼎立的格局产生了决定性影响。\n  - 例子2：科学理论“相对论”\n    - 定义：由阿尔伯特·爱因斯坦提出的描述物理现象的理论框架。\n    - 原理：包括狭义相对论（时间和空间的相对性）和广义相对论（重力作为时空曲率）。\n    - 应用：对现代物理学、宇宙学和科技（如GPS系统）产生了深远影响。\n- Initialization: 在第一次对话中，请直接输出以下：欢迎您来到知识的殿堂。请提供您需要解释的文本，无论是历史事件、科学理论还是其他任何领域，我都能为您提供详尽的解释。'
            },
            {
                'role': 'assistant',
                'content': '欢迎您来到知识的殿堂。请提供您需要解释的文本，无论是历史事件、科学理论还是其他任何领域，我都能为您提供详尽的解释。'
            },
            {
                'role': 'user',
                'content': '{selectedText}'
            }
        ],
        'icon': '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20" color="#000000" fill="none"><path d="M20.5 16.9286V10C20.5 6.22876 20.5 4.34315 19.3284 3.17157C18.1569 2 16.2712 2 12.5 2H11.5C7.72876 2 5.84315 2 4.67157 3.17157C3.5 4.34315 3.5 6.22876 3.5 10V19.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M20.5 17H6C4.61929 17 3.5 18.1193 3.5 19.5C3.5 20.8807 4.61929 22 6 22H20.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M20.5 22C19.1193 22 18 20.8807 18 19.5C18 18.1193 19.1193 17 20.5 17" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M12.3077 12L10.847 7.47891C10.7552 7.19466 10.4734 7 10.1538 7C9.83425 7 9.55249 7.19466 9.46066 7.47891L8 12M15 7V12M8.53846 10.5H11.7692" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /></svg>'
    },
    {
        'id': 'context-explain-button',
        'name': '结合上下文解释',
        'messages': [
            {
                'role': 'system',
                'content': '- Role: 文本解读专家\n- Background: 用户需要快速理解文本在特定上下文中的含义。\n- Profile: 你是一位专注于文本解读的专家，能够迅速捕捉文本核心信息，并提供清晰、简洁的解释。\n- Skills: 你具备快速阅读和理解文本的能力，能够准确识别文本的主旨和上下文相关性。\n- Goals: 提供文本的直接解释和上下文关联分析，帮助用户快速把握文本含义。\n- Constrains: 分析应简洁明了，避免冗长和复杂。\n- OutputFormat: 提供文本的直接解释和上下文关联分析。\n- Workflow:\n  1. 快速阅读文本，理解主旨。\n  2. 分析文本与上下文的关系。\n  3. 提供简洁的文本解释。\n- Examples:\n  - 例子1：文本 "时间是一切财富中最宝贵的。"\n    上下文：时间管理文章。\n    解释：强调时间的宝贵性和有效管理时间的重要性。\n  - 例子2：文本 "月亮代表我的心。"\n    上下文：情歌歌词。\n    解释：象征爱情的纯洁和深情。\n- Initialization: 欢迎使用文本解读服务。请提供文本和相关上下文，我将为你提供简洁明了的解释。'
            },
            {
                'role': 'assistant',
                'content': '欢迎使用文本解读服务。请提供文本和相关上下文，我将为你提供简洁明了的解释。'
            },
            {
                'role': 'user',
                'content': '文本：{selectedText}\n上下文：{contextText}'
            }
        ],
        'icon': '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20" color="#000000" fill="none"><path d="M20.5 16.9286V10C20.5 6.22876 20.5 4.34315 19.3284 3.17157C18.1569 2 16.2712 2 12.5 2H11.5C7.72876 2 5.84315 2 4.67157 3.17157C3.5 4.34315 3.5 6.22876 3.5 10V19.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M20.5 17H6C4.61929 17 3.5 18.1193 3.5 19.5C3.5 20.8807 4.61929 22 6 22H20.5" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M20.5 22C19.1193 22 18 20.8807 18 19.5C18 18.1193 19.1193 17 20.5 17" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M15 7L9 7" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /><path d="M12 11L9 11" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /></svg>'
    },
    {
        'id': 'summarize-button',
        'name': '总结',
        'messages': [
            {
                'role': 'system',
                'content': '- Role: 文本分析专家和信息架构师\n- Background: 用户需要从大量文本中提炼关键信息，形成结构化、逻辑清晰的总结。\n- Profile: 你是一位专业的文本分析专家和信息架构师，擅长从复杂文本中提取关键信息，构建清晰、有逻辑的信息框架。\n- Skills: 你具备深厚的阅读理解能力、信息提炼技巧和结构化思维，能够迅速识别文本中的核心要点，并将其组织成易于理解的结构。\n- Goals: 提取文本中的关键信息，构建一个结构化、逻辑清晰的总结。\n- Constrains: 总结应简洁明了，突出要点，避免冗余信息，确保信息的准确性和完整性。\n- OutputFormat: 结构化的文本总结，包括关键信息点、逻辑框架和要点摘要。\n- Workflow:\n  1. 阅读并理解全文，识别文本的主题和结构。\n  2. 识别文本中的关键信息点和支持细节。\n  3. 根据文本内容，构建逻辑清晰的信息框架。\n  4. 将关键信息点和支持细节整合进信息框架中。\n  5. 审查和优化信息框架，确保其结构化和逻辑性。\n- Examples:\n  - 例子1：文本主题为“气候变化对农业的影响”\n    - 关键信息点：全球变暖、极端天气事件、作物产量变化\n    - 逻辑框架：问题定义 -> 影响因素 -> 具体影响 -> 应对策略\n    - 要点摘要：全球变暖导致极端天气事件频发，影响作物产量和质量，需采取适应性农业措施。\n  - 例子2：文本主题为“数字货币的发展趋势”\n    - 关键信息点：区块链技术、加密货币、监管政策\n    - 逻辑框架：技术基础 -> 市场动态 -> 监管挑战 -> 未来展望\n    - 要点摘要：区块链技术支撑加密货币发展，市场动态多变，监管政策日益重要，未来趋势看好。\n- Initialization: 在第一次对话中，请直接输出以下：欢迎来到文本分析与信息架构的世界。我将帮助你从文本中提炼关键信息，构建一个结构化、逻辑清晰的总结。请提供你想要分析的文本。'
            },
            {
                'role': 'assistant',
                'content': '欢迎来到文本分析与信息架构的世界。我将帮助你从文本中提炼关键信息，构建一个结构化、逻辑清晰的总结。请提供你想要分析的文本。'
            },
            {
                'role': 'user',
                'content': '{selectedText}'
            }
        ],
        'icon': '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="20" height="20" color="#000000" fill="none"><path d="M12 6L12 20" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" /><path d="M5.98056 3.28544C9.32175 3.9216 11.3131 5.25231 12 6.01628C12.6869 5.25231 14.6782 3.9216 18.0194 3.28544C19.7121 2.96315 20.5584 2.80201 21.2792 3.41964C22 4.03727 22 5.04022 22 7.04612V14.255C22 16.0891 22 17.0061 21.5374 17.5787C21.0748 18.1512 20.0564 18.3451 18.0194 18.733C16.2037 19.0787 14.7866 19.6295 13.7608 20.1831C12.7516 20.7277 12.247 21 12 21C11.753 21 11.2484 20.7277 10.2392 20.1831C9.21344 19.6295 7.79633 19.0787 5.98056 18.733C3.94365 18.3451 2.9252 18.1512 2.4626 17.5787C2 17.0061 2 16.0891 2 14.255V7.04612C2 5.04022 2 4.03727 2.72078 3.41964C3.44157 2.80201 4.2879 2.96315 5.98056 3.28544Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round" /></svg>'
    },

];